package com.kim.apidoc.example.spring.advanced;

import com.kim.apidoc.example.annotation.KimController;
import com.kim.apidoc.example.common.Query;
import com.kim.apidoc.example.common.User;
import com.kim.apidoc.example.common.ResultData;
import com.kim.apidoc.example.common.ResultData;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * The type Kim user controller.
 *
 * @author duanledexianxianxian
 * @version 1.0.0
 * @date 2020 /3/25 1:00
 * @index 20
 * @since 1.0.0
 */
@KimController
@RequestMapping("/api/v1")
public class KimUserController {


    /**
     * Detail user.
     *
     * @param id    the id
     * @param query the query
     * @return 用户对象 user
     */
    @GetMapping(value = "/{id}")
    public User detail(@PathVariable String id, Query query) {
        User user = new User();
        return user;
    }


    /**
     * Add integer.
     *
     * @return integer integer
     */
    @PostMapping
    public Integer add() {
        return null;
    }
}
